Skip to content
View as Markdown

POST Track Contact Event​

POST
/subscribers/track-event

Track a custom event for a contact. Requires the event_tracking experimental feature to be enabled. Events can be marked as repeatable or unique.

Authorizations​

ApplicationPasswords

WordPress Application Passwords — use Basic auth with your WordPress username and an application password in the format: username:application_password

Type
API Key (header: Authorization)

Request Body​

application/json
JSON
{
"event_key": "string",
"title": "string",
"value": "string",
"subscriber_id": 0,
"email": "string",
"provider": "string",
"repeatable": true
}

Responses​

Event tracked successfully.

application/json
JSON
{
"message": "string",
"id": 0
}

Playground​

Authorization
Body

Samples​

Powered by VitePress OpenAPI